dajajora's profile

Regular Visitor

 • 

6 Messages

Monday, May 13th, 2024 4:08 PM

The Xfinity app requires IOS 16.0 but I have an older Iphone

The Xfinity app is now not functional for me because the app requires IOS 16.0 or later. I have an older iPhone so the app will not allow me to update and use it. I have quite a few apps on my phone that I use regularly and have not experienced a situation like this. Are there plans to fix this problem or is this just another reason for me to dislike Xfinity?

Official Employee

 • 

1.5K Messages

11 days ago

Hello, @dajajora

Here is what I found online. With iOS 16, Apple is ending software support for the following devices: the iPhone 6S, iPhone 6S Plus, iPhone SE 2016, iPhone 7, and iPhone 7 Plus. Basically, if you have an iPhone 8 (2017) or newer (including the second- and third-gen iPhone SE), you can download and run iOS 16. We have some great offers avialable on https://www.xfinity.com/mobile/ to get a new device. 

1 Message

But of course it's patently ridiculous that xfinity would require that the operating system be no older than 16. The release date for that system was just September 2022, so no... it's unacceptable that users should be made to buy a new phone because xfinity can't handle a simple app update without harming users.

Regular Visitor

 • 

6 Messages

@XfinityThomasC​ I am confused about your response. I am aware of the Apple support issue regarding older phones.  Your comments do not address the basic question of why Xfinity made updates to this app knowing that many users would be left without the services available within the app. It is extremely disappointing to know that there will be no recognition of this problem or a remedy offered.

1 Message

8 days ago

This is what I came here to complain about, but this may need to be its own separate post. Trying to get help from the Xfinity Assistant on the website is pointless. This is one issue with AI. You have to type like you are speaking to a child…short sentences and a restricted vocabulary bank. The only result I got was elevated blood pressure - literally.

My issue is the exact same as yours. Additional information:

  1. My iPhone 7 is still awesome. There is not a single other app I use that has been phased out.
  2. I am trying to get Xfinity advanced security back on my phone, but I saw that I have to download that from the app. (Is this the ONLY way to get advanced security? From the app??) Because that will be a dealbreaker for me and a seriously STUPID thing for a company to do.
  3. I cannot afford to upgrade my iPhone right now. I put others first and upgraded my husband’s and children’s phones because they were older and/or damaged during Hurricane Harvey and the resultant flooding of our home. [Houston, 2017] *This upgrading was gradually phased in since we lost our home and had bigger fish to fry. 

I feel what could be described as betrayal and heartbreak. Is that dramatic? Some would say so. Those people would probably be the same ones who keep saying “just upgrade your phone.” Here is my response to those people:

Sorry for the massive photo. I was unable to edit size. 

Thank you, and have a blessed day! 😇

Official Employee

 • 

1.2K Messages

 

sball68 Thank you for reaching out here on our Xfinity Forums. I am sorry you have had an issue with this update needed for your app.  With iOS 16, Apple is ending software support for the following devices: the iPhone 6S, iPhone 6S Plus, iPhone SE 2016, iPhone 7, and iPhone 7 Plus. If you have an iPhone 8 (2017) or newer (including the second- and third-gen iPhone SE), you can download and run iOS 16. We have some great offers available on https://www.xfinity.com/mobile/ to get a new device. Which will be needed to resolve this issue. 

 

I am an Official Xfinity Employee.
Official Employees are from multiple teams within Xfinity: CARE, Product, Leadership.
We ask that you post publicly so people with similar questions may benefit from the conversation.
Was your question answered? Please, mark a reply as the Accepted Answer.tick

New Poster

 • 

2 Messages

6 days ago

Glad to know I'm not the only one who likes their (vintage??) iPhone SE and have apps all working fine EXCEPT for Xfinity!  Not Nice.

IMO, Xfinity should have an app that is backwards compatible or make the earlier app still available to its customers.  It is very frustrating and certainly disruptive to many users of "seasoned devices".

If anyone know of a workaround, please post.  Thanks.

forum icon

New to the Community?

Start Here